Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Cluster Actions

Performs an action on a running Training Cluster. The action field in the request body determines the operation. Additional fields are required depending on the action:

| Action | Required Fields | Description | |--------|----------------|-------------| | update_ssh_keys | ssh_key_ids | Replace SSH keys on all cluster nodes | | update_image | image_version_id | Update the container image on all cluster nodes | | restart_workers | — | Restart all compute (worker) nodes without restarting the Slurm controller | | restart_cluster | — | Restart the full cluster including the Slurm controller and all nodes | | scale_cluster | additional_nodes | Add nodes to a running cluster without teardown or workload disruption | | attach_ip | reserved_ip_id | Attach a reserved public IP to the cluster. Returns a Reserved IP object instead of a cluster object. | | detach_ip | reserved_ip_id, ip_type | Detach a reserved public IP from the cluster. Returns an empty data object. | | add_security_group | security_groups_ids | Attach one or more security groups to the cluster. Returns a success string. | | remove_security_group | security_group_id | Remove a security group from the cluster. Returns a success string. |

PUT/distributed_jobs_v2/cluster/{Cluster_Id}/

Path parameters

  • Cluster_IdPathintegerrequired

    Cluster ID

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
actionstringrequiredupdate_ssh_keys | update_image | restart_workers

Action to perform on the cluster. Each action may require additional fields.

ssh_key_idsarray

Required for update_ssh_keys. List of SSH key IDs to attach to all cluster nodes.

image_version_idinteger

Required for update_image. ID of the image version to apply to all cluster nodes.

additional_nodesinteger

Required for scale_cluster. Number of nodes to add to the running cluster.

reserved_ip_idinteger

Required for attach_ip and detach_ip. ID of the reserved IP.

ip_typestringreserved

Required for detach_ip. Type of IP being detached.

security_groups_idsarray

Required for add_security_group. List of security group IDs to attach to the cluster.

security_group_idinteger

Required for remove_security_group. ID of the security group to remove from the cluster.

Responses

200Action performed successfully. Returns the updated cluster object.
object
codeinteger
example200
dataobject
errorsobject
messagestring
exampleCluster updated successfully